//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace nispi.OptionControl
{
    class CommonInEvent
    {
        public CommonInEvent()
        {
        }

        public bool CheckFile(string file)
        {
            if (FileIO.CheckIsFile(file) == true)
                return true;
            else
                return false;
        }
        public bool CheckFolder(string dir)
        {
            if (FileIO.CheckIsFolder(dir) == true)
                return true;
            else
                return false;
        }
        public bool CheckInt(string data)
        {
            int result;
            bool temp = Int32.TryParse(data, out result);
            return temp;
        }
        public bool CheckBool(string data)
        {
            bool temp1;
            bool temp2 = bool.TryParse(data,out temp1);
            return temp2;
        }
    }

    public class FormFontSet
    {
        public string formFontName;
        public float formFontSize;
        public byte formForeColorRed;
        public byte formForeColorGreen;
        public byte formForeColorBlue;

        public FormFontSet()
        {
        }
    }
    public class ColorSet
    {
        public byte red;
        public byte green;
        public byte blue;

        public ColorSet()
        {
            red = 0;
            green = 0;
            blue = 0;
        }
    }
}
